Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1570925 - VDO configuration with incorrect conf file should fail
Summary: VDO configuration with incorrect conf file should fail
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gdeploy
Version: rhgs-3.4
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: ---
Assignee: Devyani Kota
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 18:18 UTC by SATHEESARAN
Modified: 2018-11-15 06:57 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-15 06:57:16 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description SATHEESARAN 2018-04-23 18:18:12 UTC
Description of problem:
-----------------------
When tried to configure VDO using gdeploy, without installating VDO on that host,
gdeploy reports success which is incorrect

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
gdeploy-2.0.2-26

How reproducible:
-----------------
Always

Steps to Reproduce:
--------------------
1. On RHEL 7.5 ( without installing VDO ) create gdeploy conf file to create VDO volume
2. Run gdeploy with that configuration file

Actual results:
---------------
gdeploy reports success

Expected results:
-----------------
gdeploy should fail, when VDO not available

Additional info:
----------------
[root@ ~]# vdo status
-bash: vdo: command not found

[root@ ~]# echo $?
127

[root@ ~]# gdeploy -c setup.conf 

PLAY [gluster_servers] ********************************************************************************************************************************************************************************************

TASK [Create VDO with specified size] *****************************************************************************************************************************************************************************

PLAY RECAP ********************************************************************************************************************************************************************************************************
host1.lab.eng.blr.redhat.com : ok=0    changed=0    unreachable=0    failed=0

Comment 1 SATHEESARAN 2018-04-23 18:54:54 UTC
Found out that instead of using 'names', I used the config file that uses 'name' which was  successfully executed by gdeploy. Changed the bug summary accordingly

So, the expected result of the bug is that gdeploy should have failed if the key names are incorrect. Here is the snippet of the config file

<snip>

[vdo]
action=create
name=vdovol
devices=vdb
writepolicy=auto

</snip>

Executing the above VDO section should fail, but it succeeds

Comment 3 Devyani Kota 2018-04-27 09:24:22 UTC
Hi,
Yes, this can go in the next release.

Thanks.

Comment 5 Sachidananda Urs 2018-11-15 06:57:16 UTC
gdeploy is deprecated, these changes will be moved to gluster-ansible.


Note You need to log in before you can comment on or make changes to this bug.